# ProviderAwareCompilerDaemonForkOptions

@Incubating
open class ProviderAwareCompilerDaemonForkOptions : BaseForkOptions

Fork options for compilation that can accept user-defined CommandLineArgumentProvider objects. Only take effect if `fork` is `true`.

#### Since

7.1

#### Inheritors

ScalaForkOptions
GroovyForkOptions
ForkOptions

## Constructors

ProviderAwareCompilerDaemonForkOptions
Link copied to clipboard
constructor()

## Properties

jvmArgs
Link copied to clipboard
open var jvmArgs: List<String>
jvmArgumentProviders
Link copied to clipboard
@get:Optional
val jvmArgumentProviders: List<CommandLineArgumentProvider>
memoryInitialSize
Link copied to clipboard
open var memoryInitialSize: String
memoryMaximumSize
Link copied to clipboard
open var memoryMaximumSize: String

## Functions

getAllJvmArgs
Link copied to clipboard
@Internal
open fun getAllJvmArgs(): List<String>
Returns the full set of arguments to use to launch the JVM for the compiler process.